{#
1 2 3
4 5 6

A
10 20 30 40

B
1 2
3 4

&
#! /bin/bash
./stream
cat stream.out
rm stream.out
exit 0
}
program stream;
uses mtx09;
var
  fi, fo: text;
  m: mtx;
begin
  opn('stream.pas',fi);
  rwr('stream.out',fo);
  while mrd(m,fi) do mwr(m,fo);
  clo(fo);
  apn('stream.out',fo);
  mwr(m,fo)
end.
